FROM openjdk:8

MAINTAINER TOM-12 <tomasz12@gmail.com>

ARG SERVICE_DISCOVERY_HOSTNAME
ARG SERVICE_DISCOVERY_PORT
ARG CONFIG_SERVER_HOSTNAME
ARG CONFIG_SERVER_PORT
ARG HUB_UI_PORT

VOLUME /tmp
ADD target/hub-ui*.jar hub-ui.jar

ENV SERVICE_DISCOVERY_HOSTNAME=${SERVICE_DISCOVERY_HOSTNAME}
ENV SERVICE_DISCOVERY_PORT=${SERVICE_DISCOVERY_PORT}
ENV CONFIG_SERVER_HOSTNAME=${CONFIG_SERVER_HOSTNAME}
ENV CONFIG_SERVER_PORT=${CONFIG_SERVER_PORT}
ENV HUB_UI_PORT=${HUB_UI_PORT}

RUN sh -c 'touch /hub-ui.jar'
ENTRYPOINT ["sh", "-c", "java $JAVA_OPTS -jar /hub-ui.jar" ]
